#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	A library providing ability to interpret and import Corel Draw drawings
Summary(pl.UTF-8):	Biblioteka umożliwiająca interpretowanie i importowanie rysunków Corel Draw
Name:		libcdr
Version:	0.1.5
Release:	1
License:	MPL v2.0
Group:		Libraries
Source0:	https://dev-www.libreoffice.org/src/libcdr/%{name}-%{version}.tar.xz
# Source0-md5:	3040295f7a027c5bcdffbdb5bbdfd00a
URL:		https://wiki.documentfoundation.org/DLP/Libraries/libcdr
BuildRequires:	doxygen
BuildRequires:	boost-devel >= 1.41.0
BuildRequires:	lcms2-devel >= 2.0
BuildRequires:	libicu-devel
BuildRequires:	librevenge-devel >= 0.0.1
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	pkgconfig >= 1:0.20
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	librevenge >= 0.0.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libcdr is library providing ability to interpret and import Corel Draw
drawings into various applications. You can find it being used in
libreoffice.

%description -l pl.UTF-8
Libcdr to biblioteka umożliwiająca interpretowanie i importowanie
rysunków Corel Draw do wielu aplikacji. Jest wykorzystywana przez
libreoffice.

%package devel
Summary:	Development files for libcdr
Summary(pl.UTF-8):	Pliki nagłówkowe dla libcdr
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	lcms2-devel >= 2.0
Requires:	libicu-devel
Requires:	librevenge-devel >= 0.0.1
Requires:	libstdc++-devel >= 6:4.7
Requires:	zlib-devel

%description devel
This package contains the header files for developing applications
that use libcdr.

%description devel -l pl.UTF-8
Pen pakiet zawiera pliki nagłówkowe do tworzenia aplikacji opartych na
libcdr.

%package static
Summary:	Static libcdr library
Summary(pl.UTF-8):	Statyczna biblioteka libcdr
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libcdr library.

%description static -l pl.UTF-8
Statyczna biblioteka libcdr.

%package apidocs
Summary:	libcdr API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libcdr
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API and internal documentation for libcdr library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libcdr.

%package tools
Summary:	Tools to transform Corel Draw drawings into other formats
Summary(pl.UTF-8):	Programy przekształcania rysunków Corel Draw do innych formatów
Group:		Applications/Publishing
Requires:	%{name} = %{version}-%{release}

%description tools
Tools to transform Corel Draw drawings into other formats. Currently
supported: XHTML, raw.

%description tools -l pl.UTF-8
Narzędzia do przekształcania rysunków Corel Draw do innych formatów.
Aktualnie obsługiwane są XHTML i raw.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}

%{__make}


%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libcdr-0.1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcdr-0.1.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcdr-0.1.so
%{_includedir}/libcdr-0.1
%{_pkgconfigdir}/libcdr-0.1.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libcdr-0.1.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_docdir}/%{name}

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cdr2raw
%attr(755,root,root) %{_bindir}/cdr2xhtml
%attr(755,root,root) %{_bindir}/cdr2text
%attr(755,root,root) %{_bindir}/cmx2raw
%attr(755,root,root) %{_bindir}/cmx2xhtml
%attr(755,root,root) %{_bindir}/cmx2text
%changelog
* Sun Dec 30 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libcdr.git;a=log;h=master

* Sun Dec 30 2018 Jakub Bogusz <qboosh@pld-linux.org> 1bae4a5
- updated to 0.1.5

* Wed Dec 26 2018 Jakub Bogusz <qboosh@pld-linux.org> c8b0b0e
- C++11 is required now

* Thu May 24 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 352d024
- up to 0.1.4

* Sun Apr 23 2017 Jan Rękorajski <baggins@pld-linux.org> 6c3f028
- release 3 (by relup.sh)

* Fri Mar 10 2017 Jan Rękorajski <baggins@pld-linux.org> 6ac09cf
- rebuild with icu 58.2
- release 2 (by relup.sh)

* Tue Aug 30 2016 Jakub Bogusz <qboosh@pld-linux.org> 9515ff7
- updated to 0.1.3

* Mon May 16 2016 Elan Ruusamäe <glen@delfi.ee> c234146
- icu-57.1 rebuild
- release 2 (by relup.sh)

* Fri Jan 15 2016 Jakub Bogusz <qboosh@pld-linux.org> 9b0e770
- updated to 0.1.2
- removed obsolete boost-1.59 patch

* Tue Nov 17 2015 Jan Rękorajski <baggins@pld-linux.org> c47a61b
- fix building with boost 1.59
- rel 6

* Tue Nov 17 2015 Jan Rękorajski <baggins@pld-linux.org> c89b18c
- release 5 (by relup.sh)

* Mon Sep 21 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 34d2ea0
- release 4 (by relup.sh)

* Mon Jun 08 2015 Elan Ruusamäe <glen@delfi.ee> 136764d
- icu rebuild
- release 3 (by relup.sh)

* Sun Mar 29 2015 Elan Ruusamäe <glen@delfi.ee> 8e9ba94
- noarch apidocs

* Sat Nov 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 6ead20a
- updated to 0.1.1

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 087e5e3
- release 2 (by relup.sh)

* Sun May 25 2014 Jakub Bogusz <qboosh@pld-linux.org> d3b1e01
- updated to 0.1.0 (now librevenge based; new soname, 0.0.x left on libcdr-0.0 branch)

* Mon Apr 14 2014 Jakub Bogusz <qboosh@pld-linux.org> d9d35b7
- updated to 0.0.16; License is MPL v2.0 now

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 55a5c06
- release 2 (by relup.sh)

* Fri Jun 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 0f6177a
- updated to 0.0.14

* Thu Apr 25 2013 Jakub Bogusz <qboosh@pld-linux.org> d1cb491
- updated to 0.0.13

